MediaWiki:Common.css

aus Helmstedt-Wiki, der freien Enzyklopädie über den Landkreis Helmstedt
Zur Navigation springen Zur Suche springen

Hinweis – leere nach dem Speichern den Browser-Cache, um die Änderungen sehen zu können: Mozilla/Firefox/Safari: Strg + R (Mactaste + R bei Macintosh) drücken; Konqueror: F5 drücken; Opera: kompletten Cache unter Extras → Internetspuren löschen → Individuelle Auswahl leeren; Internet Explorer: Strg + F5

@font-face {
  font-family: 'Title';
  src: url('https://d36tpukneudf4x.cloudfront.net/s/fonts/sport-thieme/Netto-Bold.woff2');
  font-display: swap;
  font-weight: normal;
}

@font-face {
  font-family: 'Text';
  src: url('https://d36tpukneudf4x.cloudfront.net/s/fonts/sport-thieme/FiraSans-Regular.woff2');
  font-display: swap;
}


body {

  --color-primary: #004884;
  --color-primary-rgb: 0, 72, 132;
  --color-primary-contrast-text: #fff;
  --color-primary-contrast-text-rgb: 255, 255, 255;
  --color-primary-action: #004884;
  --color-primary-action-rgb: 0, 72, 132;
  --color-primary-gradient-light: #62b8e8;
  --color-primary-gradient-light-rgb: 98, 184, 232;
  --color-primary-gradient-dark: #003055;
  --color-primary-gradient-dark-rgb: 0, 48, 85;
  --color-secondary: #ea3c05;
  --color-secondary-rgb: 234, 60, 5;
  --color-secondary-action: #ea3c05;
  --color-secondary-action-rgb: 234, 60, 5;
  --color-secondary-contrast-text: #fff;
  --color-secondary-contrast-text-rgb: 255, 255, 255;
  --color-secondary-gradient-light: #ff9b1c;
  --color-secondary-gradient-light-rgb: 255, 155, 28;
  --color-secondary-gradient-dark: #9f3722;
  --color-secondary-gradient-dark-rgb: 159, 55, 34;
  --color-background-primary: #fff;
  --color-background-primary-rgb: 255, 255, 255;
  --color-background-secondary: #fafafa;
  --color-background-secondary-rgb: 250, 250, 250;
  --color-text-primary: #171717;
  --color-text-primary-rgb: 23, 23, 23;
  --color-text-title-primary: #004884;
  --color-text-title-primary-rgb: 0, 72, 132;
  --color-text-secondary: #737373;
  --color-text-secondary-rgb: 115, 115, 115;
  --color-text-title-secondary: #004884;
  --color-text-title-secondary-rgb: 0, 72, 132;
  --color-text-price-sale: #ea3c05;
  --color-text-price-sale-rgb: 234, 60, 5;
  --color-text-price-sale-contrast: #fff;
  --color-text-price-sale-contrast-rgb: 255, 255, 255;
  --color-text-link: #004884;
  --color-text-link-rgb: 0, 72, 132;
  --color-warning: #ffa600;
  --color-warning-rgb: 255, 166, 0;
  --color-background-warning: #fffbf2;
  --color-background-warning-rgb: 255, 251, 242;
  --color-notice: #ff6a00;
  --color-notice-rgb: 255, 106, 0;
  --color-gray: #93b2c2;
  --color-gray-rgb: 147, 178, 194;
  --color-gray-100: #93b2c2;
  --color-gray-100-rgb: 147, 178, 194;
  --color-gray-90: #9ebac8;
  --color-gray-90-rgb: 158, 186, 200;
  --color-gray-80: #a9c1ce;
  --color-gray-80-rgb: 169, 193, 206;
  --color-gray-70: #b3c9d4;
  --color-gray-70-rgb: 179, 201, 212;
  --color-gray-60: #bed1da;
  --color-gray-60-rgb: 190, 209, 218;
  --color-gray-50: #c9d9e1;
  --color-gray-50-rgb: 201, 217, 225;
  --color-gray-40: #d4e0e7;
  --color-gray-40-rgb: 212, 224, 231;
  --color-gray-30: #dfe8ed;
  --color-gray-30-rgb: 223, 232, 237;
  --color-gray-20: #e9f0f3;
  --color-gray-20-rgb: 233, 240, 243;
  --color-gray-10: #f4f7f9;
  --color-gray-10-rgb: 244, 247, 249;
  --color-positive: #2f953c;
  --color-positive-rgb: 47, 149, 60;
  --color-background-positive: #f3fbf4;
  --color-background-positive-rgb: 243, 251, 244;
  --color-negative: #e60a1f;
  --color-negative-rgb: 230, 10, 31;
  --color-background-negative: #fef2f3;
  --color-background-negative-rgb: 254, 242, 243;
  --color-rating: #ff6a00;
  --color-rating-rgb: 255, 106, 0;
  --color-main-navigation-background: #fff;
  --color-main-navigation-background-rgb: 255, 255, 255;
  --color-main-navigation-foreground: #004884;
  --color-main-navigation-foreground-rgb: 0, 72, 132;
  --color-main-navigation-border: #a8c1d5;
  --color-main-navigation-border-rgb: 168, 193, 213;
  --color-header-background: #fff;
  --color-header-background-rgb: 255, 255, 255;
  --color-header-foreground: #222222;
  --color-header-foreground-rgb: 34, 34, 34;
  --spacing: 1em;
  --spacing-rem: 1rem;
  --border-radius: 10px;
  font-family: Text, sans-serif;
  font-display: fallback;
  line-height: 1.3;

  background: var(--color-background-primary, #fff);
  color: var(--color-text-primary, #333);

  -webkit-font-smoothing: antialiased;

}

h1 {
  font-family: "Title", sans-serif;
  color: var(--color-text-title-primary);
  font-size: 2em;
  margin-top: 0;
  margin-bottom: 0.67em;
  font-weight: normal;
}

h2,
h3,
h4,
h5,
h6 {
  font-family: "Text", sans-serif;
  font-weight: normal;
  font-size: 1em;
  margin-top: 0;
  margin-bottom: 0.67em;
}

h2 {
  font-size: 1.5em;
  color: var(--color-text-title-primary);
}

h3 {
  font-size: 1.17em;
}


a {
  text-decoration: none;
  color: var(--color-text-link);
}